package com.bzd.system.service.ybgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 医保管理表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SYbglMedicaremanagementService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSYbglMedicaremanagement(PageData pd)throws Exception {
        return daoSupport.update("SYbglMedicaremanagementMapper.addSYbglMedicaremanagement", pd);
    }

    public List<PageData> findSYbglMedicaremanagementList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SYbglMedicaremanagementMapper.selectSYbglMedicaremanagementList", pd);
    }

    public Integer SYbglMedicaremanagementRemove(PageData pd)throws Exception {
        return daoSupport.delete("SYbglMedicaremanagementMapper.SYbglMedicaremanagementRemove", pd);
    }


    public Integer updateSYbglMedicaremanagement(PageData pd)throws Exception {
        return daoSupport.update("SYbglMedicaremanagementMapper.updateSYbglMedicaremanagement", pd);
    }

}
